#include<stdio.h>
#include<stdlib.h>
#include<iostream>
#include <algorithm>
#include <list>
#include <set>

using namespace std;

pair<float, int> hole_section;

typedef pair<float, int> section_t;

int test_cases_nb;
int w,s,c,u,t1,t2;

int max_time_interval=0;

int main(){
  int res;
  int ret_scan = scanf("%d", &test_cases_nb);
  if(ret_scan!=1) {
    printf("number of test cases could not be read\n");
    exit(-1);
  }
  int i,j;
  for(i = 0; i <test_cases_nb; i++) {
    std::list<float> snake_traversal_time_list;
    std::list<int> car_position_list;
    res = 0;
    max_time_interval=0;
    ret_scan = scanf("%d %d %d %d %d %d", &s, &c, &w, &u, &t1, &t2);
    if(ret_scan!=6) {
      printf("could not read 6 integer values in input file, ret=%d\n",ret_scan);
      exit(-1);
    }
    if(s<1 || s>100000) {
      printf("s is out of bound, value=%d\n",s);
    }
    if(c<1 || c>100000){
      printf("c is out of bound, value=%d\n",c);
    }
    if(w<1 || w>100000){
      printf("w is out of bound, value=%d\n",w);
    }
    if(u<1 || u>100000){
      printf("u is out of bound, value=%d\n",u);
    }
    if(t1<1 || t1>1000000000){
      printf("t1 is out of bound, value=%d\n",t1);
    }
    if(t2<1 || t2>1000000000){
      printf("t2 is out of bound, value=%d\n",t2);
    }
    if(t1>=t2){
      printf("t2 (%d) should be greater than t1 (%d)\n", t2, t1);
    }
    for(j=0; j<s;j++){
      int l;
      ret_scan = scanf("%d", &l);
      if(ret_scan!=1) {
	printf("could not read l_%d",j+1);
	exit(-1);
      }
      if(l<1 || l>1000000000) {
	printf("l is out of bound, value=%d\n",l);
      }
    }

    set<int> start_distances;

    for(j=0; j<c; j++){
      int x;
      ret_scan = scanf("%d", &x);
      if(ret_scan!=1) {
	printf("could not read x_%d of %d cars\n",j+1,c);
	exit(-1);
      }
      if(x<0 || x>1000000000) {
	printf("x is out of bound, value=%d\n",x);
      }
      if(start_distances.find(x)!=start_distances.end()) {
	printf("x is present several times in input data, value=%d\n",x);
      }
      start_distances.insert(x);
    }

  }
}
