#include<stdio.h>
#include<stdlib.h>
#include<iostream>
#include <algorithm>
#include <list>

using namespace std;

pair<float, int> hole_section;

typedef pair<float, int> section_t;

int test_cases_nb;
int w,s,c,u,t1,t2;

int max_time_interval=0;

int main(){
  int res;
  scanf("%d", &test_cases_nb);
  int i,j;
  for(i = 0; i <test_cases_nb; i++) {
    std::list<float> snake_traversal_time_list;
    std::list<int> car_position_list;
    res = 0;
    max_time_interval=0;
    scanf("%d %d %d %d %d %d", &s, &c, &w, &u, &t1, &t2);
    for(j=0; j<s;j++){
      int l;
      scanf("%d", &l);
      float time = ((float)l+(float)w)/((float) u);
      snake_traversal_time_list.push_back(time);
    }

    snake_traversal_time_list.sort();
#ifdef DEBUG
    printf("snakes: %d\n", s);
    for(auto time: snake_traversal_time_list) {
      printf("time: %f\n", time);
    }
#endif
    car_position_list.push_back(t1);
    car_position_list.push_back(t2);
    for(j=0; j<c; j++){
      int x;
      scanf("%d", &x);
      car_position_list.push_back(x);
    }

    car_position_list.sort();

#ifdef DEBUG
    printf("cars: %d\n", c);
    for(auto pos: car_position_list) {
      printf("car_pos: %d\n", pos);
    }
#endif

    int prev = t1;
    std::list<int>::const_iterator iter;
    for (iter = car_position_list.begin(); iter != car_position_list.end(); ++iter) {
      int car_pos = *iter;
      
      int t_car_1 = prev;
      int t_car_2 = car_pos;
      prev = car_pos;
      
      int time_interval = min(t2, t_car_2) - max(t1, t_car_1) ;      

      if(time_interval < max_time_interval)
	continue;

      max_time_interval = time_interval;

    }

#ifdef DEBUG
    printf("max interval %d\n", max_time_interval);
#endif

    for(auto time: snake_traversal_time_list) {
#ifdef DEBUG
      printf("time: %f\n", time);
#endif
      if(time<=(float)max_time_interval)
	res++;
      else
	break;
    }
    printf("%d\n",res);
  }
}
