#include<stdio.h>
#include<stdlib.h>
#include<iostream>
#include <algorithm>
#include <list>
#include <set>

using namespace std;

int m,l,w;

pair<int, int> hole_section;

typedef pair<int, int> section_t;

std::list<section_t> hole_list;

int test_cases,cage_nb;

int main(){
  int ret_scan = scanf("%d", &test_cases);
  if(ret_scan!=1){
    printf("could not read the number of test cases\n");
    exit(-1);
  }
  int c,d;
  for(c = 0; c <test_cases; c++) {
    ret_scan = scanf("%d %d", &m, &cage_nb);
    if(ret_scan!=2) {
      printf("could not read M and cage number\n");
      exit(-1);
    }
    if(m<=0 || m>50000){
      printf("M is out of bound, value=%d\n", m);
    }
    if(cage_nb<1 || cage_nb > 10000) {
      printf("N is out of bound M=%d, N=%d\n",m,cage_nb);
    }
    
    set<int> areas;
    for(d=0; d<cage_nb;d++){
      ret_scan = scanf("%d %d", &l,&w);
      if(ret_scan!=2) {
	printf("could not read length and width of biggest hole\n");
	exit(-1);
      }
      if(l<0 || l>1000) {
	printf("L is out of bound, value=%d\n",l);
      }
      if(w<0 || w>1000) {
	printf("W is out of bound, value=%d\n", w);
      }
      if(areas.find(l*w)!=areas.end()) {
	printf("hole areas is present several times in input data, %d %d\n",l,w);
      }
      areas.insert(l*w);
    }
  }
}
