#include<cstdio>
#include<vector>
#include<algorithm>
#include<queue>

#define MAXP 2002

// prim's algorithm

using namespace std;

int main() {
  int ncases;
  scanf("%d", &ncases);
  for (int ncase = 0; ncase < ncases; ncase++) {
    int p, r;
    scanf("%d%d", &p, &r);
    bool V[MAXP];
    vector<pair<int, int> > G[MAXP];
    long long total = 0;
    for (int i = 0; i <= p; i++)
      V[i] = false;
    for (int i = 0; i < r; i++) {
      int u, v, c;
      scanf("%d%d%d", &u, &v, &c);
      total += c;
      G[u].push_back(make_pair(c, v));
      G[v].push_back(make_pair(c, u));
    }
    for (int i = 0; i <= p; i++) {
      if (V[i]) 
        continue;
      V[i] = true;
      priority_queue<pair<int, int> > Q;
      for (unsigned int x = 0; x < G[i].size(); x++)
        Q.push(G[i][x]);
      while (!Q.empty()) {
        pair<int, int> pp = Q.top();
        Q.pop();
        int c = pp.first;
        int v = pp.second;
        if (V[v])
          continue;
        //printf("take edge to %d cost %d\n", v, -c);
        total -= c;
        V[v] = true;
        for (unsigned int x = 0; x < G[v].size(); x++)
          Q.push(G[v][x]);
      }
    }
    printf("%lld\n", total);
  }
  return 0;
}

