#!/usr/bin/env python3

import sys
from string import ascii_lowercase

MAX = 1000

def parse1(l):
    x = int(l)
    assert (l == (str(x) + "\n"))
    return x

def parsek(l, k):
    l2 = l.split(' ')
    xs = [int(xi) for xi in l2]
    assert (l == ((' '.join(str(xi) for xi in xs)) + "\n"))
    return xs

def parseintkstr(l):
    l2 = l.split(' ')
    assert(l2[-1][-1] == '\n')
    l2[-1] = l2[-1][:-1] # remove newline
    a = (l)
    b = (' '.join(xi for xi in l2))
    assert (l == ((' '.join(xi for xi in l2)) + "\n"))
    n = int(l2[0])
    assert(1 <= n <= MAX)
    assert (n == len(l2) - 1)
    for x in l2[1:]:
        assert(0 < len(x) <= 20)
        for y in x:
            assert(y in ascii_lowercase)
    return l2[1:]

ncases_l = sys.stdin.readline()
ncases = parse1(ncases_l)
for ncase in range(ncases):
    n_l = sys.stdin.readline()
    xs = parsek(n_l, 3)
    assert (len(xs) == 3)
    assert(0 <= xs[0] <= MAX)
    assert(0 <= xs[1] <= MAX)
    assert(0 <= xs[2] <= MAX)
    for i in range(2):
        prods = sys.stdin.readline()
        parseintkstr(prods)

# check if EOF is reached
rest = sys.stdin.read()
assert(len(rest) == 0)
