#include<stdio.h>
#include<stdlib.h>
#include<cstring>
#include<iostream>
#include <cmath>
#include <set>
#include <vector>

using namespace std;

const int values[14] = {1,2,3,4,5,6,7,8,9,10,25,50,75,100};

int m[7], N, a,b,u,v, ncases;
set<int> combinations[64],impossible, hard;
vector<int> impossible2, hard2;

bool check(){
    bool flag=false;
    for (int s=3;s<64;s++){
        int z = (1 << (31-__builtin_clz(s)));

        for (int u=( 1 << (__builtin_ffs(s)-1)); u< z; u=((u|~s)+1)&s){
            v = s&(~u);
            for (auto itu=combinations[u].begin();itu!=combinations[u].end();itu++){
                for (auto itv=combinations[v].begin();itv!=combinations[v].end();itv++){
                    a=*itu; b=*itv;
                    combinations[s].insert(a+b);
                    if (a>b) {combinations[s].insert(a-b);}
                    if (b>a) {combinations[s].insert(b-a);}
                    combinations[s].insert(a*b);
                    if (a%b==0) {combinations[s].insert(a/b);}
                    if (b%a==0) {combinations[s].insert(b/a);}
                }
            }
            if (combinations[s].find(N)!=combinations[s].end() ) {
                flag=true;
            }
        }

    }
    return flag;
}

int main(){
    srand (time(NULL));
    scanf("%d", &ncases);
    for (int ncase = 0; ncase < ncases ; ncase++) {
        for (int i=0;i<64;i++){
            combinations[i].clear();
        }
        for (int i=0;i<6;++i){
    //            printf("%d ",m[i]);
            m[i] = values[rand()%14];
            combinations[1<<i].insert(m[i]);
        }
        N = rand()%899 +101;
        printf("%d %d %d %d %d %d %d\n", N, m[0], m[1], m[2], m[3], m[4], m[5]);
        check();
//        if (check()) {printf("The total is right\n");}
//        else {printf("Impossible\n");}

        impossible.clear();
        impossible2.clear();
        for (int i=1;i<1000;i++){
            impossible.insert(i);
        }
        for (int i=1; i<64; i++){
            for (auto it=combinations[i].begin() ; it!=combinations[i].end(); it++){
                impossible.erase(*it);
            }
        }
        for (auto it=impossible.begin() ; it!=impossible.end() && *it <1000; it++){
            impossible2.push_back(*it);
        }
        if (impossible2.size()>3) {
            N = impossible2[rand()%(impossible2.size())];
            printf("%d %d %d %d %d %d %d\n", N, m[0], m[1], m[2], m[3], m[4], m[5]);
//            if (check()) {printf("The total is right\n");}
//            else {printf("Impossible\n");}
        }


        hard.clear();
        hard2.clear();
        for (auto it=combinations[63].begin() ; it!=combinations[63].end(); it++){
            hard.insert(*it);
        }
        for (int i=1; i<63; i++){
            for (auto it=combinations[i].begin() ; it!=combinations[i].end(); it++){
                hard.erase(*it);
            }
        }
        for (auto it=hard.begin() ; it!=hard.end() && *it <1000; it++){
            hard2.push_back(*it);
        }
        if (hard2.size()>3){
            N = hard2[rand()%hard2.size()];
            printf("%d %d %d %d %d %d %d\n", N, m[0], m[1], m[2], m[3], m[4], m[5]);
//        if (check()) {printf("The total is right\n");}
//        else {printf("Impossible\n");}
        }

//        printf("\n");
    }
}
