#include<cstdio>
#include<unordered_set>

using namespace std;

#define MAXN (1 << 6)

int main() {
  int ncases;
  scanf("%d", &ncases);
  for (int ncase = 0; ncase < ncases; ncase++) {
    unordered_set<int> S[MAXN];
    int T;
    scanf("%d", &T);
    for (int i = 0; i < 6; i++) {
      int buf;
      scanf("%d", &buf);
      S[1 << i].insert(buf);
    }
    bool found = false;
    for (int s = 1; s < MAXN; s++) {
      if (found)
        break;
      int s2a = 0;
      while (!found) {
        int s2b = s & ~s2a;
        for (auto xa : S[s2a]) {
          if (found)
            break;
          for (auto xb : S[s2b]) {
            if (found)
              break;
            int nv = xa + xb;
            if (nv == T) found = true;
            S[s].insert(nv);
            nv = xa * xb;
            if (nv == T) found = true;
            S[s].insert(nv);
            if (xa > xb) {
              nv = xa - xb;
              if (nv == T) found = true;
              S[s].insert(nv);
            }
            if (xb > xa) {
              nv = xb - xa;
              if (nv == T) found = true;
              S[s].insert(nv);
            }
            if (xa && !(xb % xa)) {
              nv = xb / xa;
              if (nv == T) found = true;
              S[s].insert(nv);
            }
            if (xb && !(xa % xb)) {
              nv = xa / xb;
              if (nv == T) found = true;
              S[s].insert(nv);
            }
          }
        }
        if (s2a == s)
          break;
        s2a = ((s2a | (~s))+1)&s;
      }
      /*printf("in %d:\n", s);
      for (auto x: S[s])
        printf("%d ", x);
      printf("\n");*/
    }
    for (int s = 1; s < MAXN; s++) {
      if (S[s].find(T) != S[s].end()) {
        found = true;
        break;
      }
    }
    if (found)
      printf("The total is right\n");
    else
      printf("Impossible\n");
  }
}
