#include<cstdio>

#define NIN 6

// combiner les nombres ensembles les uns après les autres
// premier algo de http://eternitygames.free.fr/LeCompteEstBon.html

using namespace std;

int T, calc[6][6];

bool explore(int n) {
  if (!n) {
    //printf("1 0, 1, 1, 0, 0 are %d %d %d\n", calc[1][0], calc[1][1], calc[0][0]);
    return (calc[0][0] == T);
  }
  for (int pos = 0; pos <= n; pos++)
    if (calc[n][pos] == T)
      return true;
  for (int pos1 = 0 ; pos1 < n; pos1++)
    for (int pos2 = pos1+1 ; pos2 <= n; pos2++) {
      for (int i = 0; i <= n-1; i++) {
        //printf("pos1 pos2 i %d %d %d\n", pos1, pos2, i);
        calc[n-1][i] = calc[n][i + ((i >= pos1) ? 1 : 0) + ((i+1 >= pos2) ? 1 : 0)];
      }
      int v1 = calc[n][pos1];
      int v2 = calc[n][pos2];
      calc[n-1][n-1] = v1+v2;
      if (explore(n-1)) {
        //printf("did %d + %d\n", v1, v2);
        return true;
      }
      if (v1 != v2) {
        if (v1 > v2)
          calc[n-1][n-1] = v1-v2;
        else
          calc[n-1][n-1] = v2-v1;
        if (explore(n-1)) {
          //printf("did %d +- %d\n", v1, v2);
          return true;
        }
      }
      calc[n-1][n-1] = v1*v2;
      if (explore(n-1)) {
        //printf("did %d +- %d\n", v1, v2);
        return true;
      }
      if (v1 && !(v2 % v1)) {
        calc[n-1][n-1] = v2/v1;
        if (explore(n-1)) {
          //printf("did %d / %d\n", v2, v1);
          return true;
        }
      }
      if (v2 && !(v1 % v2)) {
        calc[n-1][n-1] = v1/v2;
        if (explore(n-1)) {
          //printf("did %d / %d\n", v1, v2);
          return true;
        }
      }
    }
  return false;
}

int main() {
  int ncases;
  scanf("%d", &ncases);
  for (int ncase = 0; ncase < ncases; ncase++) {
    scanf("%d", &T);
    for (int i = 0; i < NIN; i++)
      scanf("%d", &(calc[NIN-1][i]));
    if (explore(NIN-1))
      printf("The total is right\n");
    else
      printf("Impossible\n");
  }
}
