#include<cstdio>
#include<algorithm>
#include<vector>

using namespace std;

#define MAXS 100002

int main() {
  int ncases;
  scanf("%d", &ncases);
  for (int ncase = 0; ncase < ncases; ncase++) {
    int s, c, w, u, t1, t2;
    vector<int> S, C;
    S.clear();
    C.clear();
    scanf("%d%d%d%d%d%d", &s, &c, &w, &u, &t1 ,&t2);
    for (int i = 0; i < s; i++) {
      int buf;
      scanf("%d", &buf);
      S.push_back(buf);
    }
    C.push_back(t1);
    C.push_back(t2);
    for (int i = 0; i < c; i++) {
      int buf;
      scanf("%d", &buf);
      if (t1 <= buf && buf <= t2)
        C.push_back(buf);
    }
    sort(C.begin(), C.end());
    int dt_max = 0;
    for (unsigned int i = 0; i < C.size()-1; i++) {
      dt_max = max(dt_max, C[i+1] - C[i]);
    }
    //printf("dt_max %d\n", dt_max);
    int nb_ok = 0;
    for (auto v: S) {
      int l = w + v;
      int c_time = l/u + ((l % u) ? 1 : 0); // ceil(l/u)
      //printf("crossing time %d\n", c_time);
      if (c_time <= dt_max)
        nb_ok++;
    }
    printf("%d\n", nb_ok);
  }
  return 0;
}

