#include<cstdio>
#include<algorithm>
#include<utility>
#include<vector>

using namespace std;

#define MAXG 1000002
#define MAXPOS 64

int F[MAXG];
int G[2][MAXG];
int U[MAXG];
int m, n;
long long t;
int use;

void compose(int *A, int *B, int *C) {
  for (int i = 0; i < use; i++) {
    if (A[U[i]] == -1)
      C[U[i]] = -1;
    else
      C[U[i]] = B[A[U[i]]];
  }
}

int main() {
  int ncases;
  scanf("%d", &ncases);
  for (int ncase = 0; ncase < ncases; ncase++) {
    scanf("%d%d%lld", &n, &m, &t);
    use = 0;
    for (int i = 0; i <= n; i++){
      F[i] = -1;
      G[0][i] = -1;
      G[1][i] = -1;
    } 
    for (int i = 0; i < m; i++) {
      int a, b;
      scanf("%d%d", &a, &b);
      F[b] = a;
      U[use++] = b;
    }
    for (int i = 0; i < use; i++)
      G[0][U[i]] = U[i];
    bool mod = false;
    for (int p = 0; p < MAXPOS; p++) {
      compose(G[mod?1:0], G[mod?1:0], G[mod?0:1]);
      if (t & (((long long) 1) << (63 - p)))
        compose(G[mod?0:1], F, G[mod?1:0]);
      else
        mod = !mod;
    }
    vector<pair<int, int> > V;
    for (int i = 0; i < use; i++)
      if (G[mod?1:0][U[i]] > 0)
        V.push_back(make_pair(G[mod?1:0][U[i]], U[i]));
    sort(V.begin(), V.end());
    printf("%ld\n", V.size());
    for (auto p : V)
      printf("%d %d\n", p.first, p.second);
  }
  return 0;
}
