#include<cstdio>
#include<algorithm>
#include<utility>
#include<vector>

using namespace std;

#define MAXG 1000002
#define MAXPOS 64

int F[MAXG];
int G[MAXG];
int G2[MAXG];
int m, n;
long long t;

void compose(int *A, int *B, int *C) {
  for (int i = 0; i <= n; i++) {
    if (A[i] == -1)
      C[i] = -1;
    else
      C[i] = B[A[i]];
  }
}

void copyft(int *A, int *B) {
  for (int i = 0; i <= n; i++)
    B[i] = A[i];
}

int main() {
  int ncases;
  scanf("%d", &ncases);
  for (int ncase = 0; ncase < ncases; ncase++) {
    scanf("%d%d%lld", &n, &m, &t);
    for (int i = 0; i <= n; i++)
      F[i] = -1;
    for (int i = 0; i <= n; i++)
      G[i] = i;
    for (int i = 0; i < m; i++) {
      int a, b;
      scanf("%d%d", &a, &b);
      F[b] = a;
    }
    for (int p = 0; p < MAXPOS; p++) {
      compose(G, G, G2);
      if (t & (((long long) 1) << (63 - p)))
        compose(G2, F, G);
      else
        copyft(G2, G);
    }
    vector<pair<int, int> > V;
    for (int i = 0; i <= n; i++)
      if (G[i] > -1)
        V.push_back(make_pair(G[i], i));
    sort(V.begin(), V.end());
    printf("%ld\n", V.size());
    for (auto p : V)
      printf("%d %d\n", p.first, p.second);
  }
  return 0;
}
