#include<stdio.h>
#include<stdlib.h>
#include<cstring>
#include<iostream>
#include <cmath>
#include <algorithm>
#include <vector>


using namespace std;

const int Nmax=1000010;

int ncases, ncase, n, m, a, b, current;
long long t;
int permutation[Nmax];
int resultat[2][Nmax];
vector<pair<int,int>> output;

void print(){
    for (int i=0; i<=n;i++){
        printf("%d ", permutation[i]);
    }
    printf("\n");
    for (int i=0; i<=n;i++){
        printf("%d ", resultat[0][i]);
    }
    printf("\n");
    for (int i=0; i<=n;i++){
        printf("%d ", resultat[1][i]);
    }
    printf("\n");
};

void square(){
    int next= (current)?0:1;
    for(int i=1; i<=n ; i++){
        resultat[next][i] = resultat[current][resultat[current][i]];
    }
    current =next;
}

void add(){
    int next= (current)?0:1;
    for(int i=1; i<=n ; i++){
        resultat[next][i] = resultat[current][permutation[i]];
    }
    current =next;

}

void exponentiation(long long t){
    if (t<=1) {
        return;
    }
    else if (t%2==0){
        exponentiation(t/2);
        square();
    }
    else if (t%2==1) {
        exponentiation(t/2);
        square();
        add();
    }
}
int main(){
    scanf("%d", &ncases);
    for (int ncase = 0; ncase<ncases; ncase++) {
        scanf("%d %d %lld", &n,&m, &t);
//        printf("New case\n");
        fill(permutation, permutation+n+1, 0);
        fill(resultat[0], resultat[0]+n+1, 0);
        fill(resultat[1], resultat[1]+n+1, 0);
        current=0;
        output.clear();
        for (int i=0; i<m; i++){
            scanf("%d %d", &a,&b);
            permutation[b]=a;
            resultat[0][b]=a;
        }
        exponentiation(t);
//        print();

        for (int i=0; i<=n;i++){
            if (resultat[current][i]){
                output.emplace_back(resultat[current][i],i);
            }
//            printf("%d ", resultat[current][i]);
        }
        sort(output.begin(), output.end());
        printf("%ld\n",output.size());
        for (auto it=output.begin(); it!=output.end();it++){
            printf("%d %d\n",it->first,it->second);
        }
//        printf("\n");

    }
};
