#include<stdio.h>
#include<stdlib.h>
#include<cstring>
#include<iostream>
#include <cmath>
#include <vector>
#include <algorithm>

// Kruskal sans tenir compte du rang dans Union Find

using namespace std;

const int nmax = 2003;
int ncases, ncase, m, n, u, v, w, totalweight, father[nmax];
vector<pair<int,pair<int,int>>> edges;

int find(int u){
    if (father[u]==u){
        return u;
    }
    else {
        return father[u]=find(father[u]);
    }
}

bool merge(int u, int v){
    int fu = find(u);
    int fv = find(v);
    father[fv]=fu;
    return (fu!=fv);
}

int main(){
    scanf("%d", &ncases);
    for (int ncase = 0; ncase<ncases; ncase++) {
        scanf("%d %d",&n,&m);
        edges.clear();
        totalweight=0;
        for (int i=0; i<m;i++) {
            scanf("%d %d %d", &u, &v, &w);
            edges.emplace_back(-w,make_pair(u,v));
            totalweight+=w;
        }
        for (int i=0; i<=n; i++){
            father[i]=i;
        }
        sort(edges.begin(),edges.end());
        for (auto it=edges.begin(); it!=edges.end(); it++){
            if (merge((it->second).first, (it->second).second)) {
                totalweight+=it->first;
            }
        }
        printf("%d\n",totalweight );
    }
};
