#include<cstdio>
#include<iostream>
#include<unordered_map>
#include<climits>

#define MAX 1002

using namespace std;

unordered_map<string, int> N;
int G[2][MAX];
int S[2][MAX];
int ns[2];
int idx;
int b, t, s;

int calc(int i, int j) {
  if (i < 0 || j < 0) {
    return INT_MAX-MAX;
  }
  if (G[i][j] < INT_MAX-MAX) {
    return G[i][j];
  }
  return G[i][j] = min(
      t + calc(i-1, j),
      min(
        b + calc(i, j-1),
        (S[0][i] == S[1][j] ? 0 : s) + calc(i-1, j-1)));
}

int main() {
  int ncases;
  scanf("%d", &ncases);
  for (int ncase = 0; ncase < ncases; ncase++) {
    idx = 0;
    scanf("%d%d%d", &b, &t, &s);
    N.clear();
    for (int s = 0; s < 2; s++) {
      scanf("%d", &(ns[s]));
      for (int i = 0; i < ns[s]; i++) {
        string name;
        cin >> name;
        auto nx = N.find(name);
        int nid;
        if (nx == N.end()) {
          nid = idx;
          N.insert(make_pair(name, idx++));
        } else {
          nid = nx->second;
        }
        S[s][i] = nid;
      }
    }
    for (int i = 0; i <= ns[0]; i++)
      for (int j = 0; j <= ns[1]; j++) {
        if (!i && !j) {
          G[i%2][j] = 0;
        } else if (i && !j) {
          G[i%2][j] = t + G[(i-1)%2][j];
        } else if (!i && j) {
          G[i%2][j] = b + G[i%2][j-1];
        } else {
          G[i%2][j] = min(
            t + G[(i-1)%2][j],
            min(
              b + G[i%2][j-1],
              (S[0][i] == S[1][j] ? 0 : s) + G[(i-1)%2][j-1]));
        }
      }
    int guilt = G[ns[0]%2][ns[1]];
    printf("%d\n", guilt);
  }
  return 0;
}

