#include<cstdio>
#include<unordered_set>

using namespace std;

#define MAXN (1 << 6)

int main() {
  int ncases;
  scanf("%d", &ncases);
  for (int ncase = 0; ncase < ncases; ncase++) {
    unordered_set<int> S[MAXN];
    int T;
    scanf("%d", &T);
    int n[6];
    for (int i = 0; i < 6; i++) {
      int buf;
      scanf("%d", &buf);
      n[i] = buf;
      S[1 << i].insert(buf);
    }
    for (int s = 1; s < MAXN; s++) {
      int s2a = 0;
      while (1) {
        int s2b = s & ~s2a;
        for (auto xa : S[s2a])
          for (auto xb : S[s2b]) {
            S[s].insert(xa + xb);
            S[s].insert(xa * xb);
            if (xa > xb)
              S[s].insert(xa - xb);
            if (xb > xa)
              S[s].insert(xb - xa);
            if (xa && !(xb % xa))
              S[s].insert(xb / xa);
            if (xb && !(xa % xb))
              S[s].insert(xa / xb);
          }
        if (s2a == s)
          break;
        s2a = ((s2a | (~s))+1)&s;
      }
      /*printf("in %d:\n", s);
      for (auto x: S[s])
        printf("%d ", x);
      printf("\n");*/
    }
    int best = n[0];
    int dbest = abs(T - best);
    for (auto x: S[MAXN - 1]) {
      int d = abs(T - x);
      //printf("number %d achieves %d\n", x, d);
      if (d < dbest || (d == dbest && x > best)) {
        best = x;
        dbest = d;
      }
    }
    if (dbest == 0)
      printf("The total is right\n");
    else
      printf("Impossible\n");
  }
}
