#!/usr/bin/env python3

import sys

MIN_N = 101
MAX_N = 999
OK_M = set(list(range(1, 11)) + [25, 50, 75, 100])

def parse1(l):
    x = int(l)
    assert (l == (str(x) + "\n"))
    return x

def parsek(l, k):
    l2 = l.split(' ')
    xs = [int(xi) for xi in l2]
    assert (l == ((' '.join(str(xi) for xi in xs)) + "\n"))
    return xs

ncases_l = sys.stdin.readline()
ncases = parse1(ncases_l)
for ncase in range(ncases):
    n_l = sys.stdin.readline()
    xs = parsek(n_l, 7)
    assert (len(xs) == 7)
    N = xs[0]
    assert(N >= MIN_N)
    assert(N <= MAX_N)
    for i in range(1, 7):
        assert(xs[i] in OK_M)

# check if EOF is reached
rest = sys.stdin.read()
assert(len(rest) == 0)
